Skip to content

Get the list of authorized resources

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

This interface is used to obtain the list of resources authorized by the user.

Method name

AuthenticationClient.getAuthorizedResources

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
namespacestringNo-Code of the permission group (permission space). If not passed, the default permission group is obtained.default
resourceTypestringNo-Resource type, such as data, API, menu, button

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to be replaced with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.getAuthorizedResources({
    namespace: "default",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: AuthorizedResourcePaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a AuthorizedResourcePagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "resourceCode": "ecs:1",
      "description": "Server",
      "condition": {
        "param": "AppId",
        "operator": "StringEquals",
        "value": "1"
      },
      "resourceType": "API",
      "apiIdentifier": "/api/v1/example",
      "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
      "effect": "ALLOW"
    }
  }
}

Data structure

AuthorizedResourcePagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: <a AuthorizedResourceDto.

AuthorizedResourceDto

NameTypeIs it requiredDescriptionSample value
resourceCodestringYesResource descriptorecs:1
descriptionstringNoResource description informationServer
conditionarrayNoPolicy Condition Nested type: <a PolicyCondition.
resourceTypestringyesResource typeDATA
apiIdentifierstringyesAPI URL/api/v1/example
actionsarrayyesList of authorized actions["ecs:Start","ecs:Stop"]
effectstringyesAllow or denyALLOW

PolicyCondition

NameTypeIs it required?DescriptionExample value
paramstringyesCondition ParamUserPoolId
operatorstringyesCondition OperatorBool
valuestringyesCondition Value1

Agent infrastructure for identity, memory, and web action.